# NeoPixels setup
pixels = neopixel.NeoPixel(board.NEOPIXEL, 10, brightness=0.4, auto_write=True)

# Servo setup on A1 and A2
pwm1 = pwmio.PWMOut(board.A1, duty_cycle=2 ** 15, frequency=50)
pwm2 = pwmio.PWMOut(board.A2, duty_cycle=2 ** 15, frequency=50)
servo1 = servo.Servo(pwm1)
servo2 = servo.Servo(pwm2)

# Power-up sound: ascending tones
def power_up_sound():
    for freq in [262, 330, 392, 523]:  # C4, E4, G4, C5
        simpleio.tone(board.A0, freq, duration=0.1)
        time.sleep(0.05)

# Power-down sound: descending tones
def power_down_sound():
    for freq in [523, 392, 330, 262]:  # C5, G4, E4, C4
        simpleio.tone(board.A0, freq, duration=0.1)
        time.sleep(0.05)

while True:
    if cp.button_a:
        print("Powering up!")
        pixels.fill((0, 255, 0))  # Green
        power_up_sound()
        servo1.angle = 90
        servo2.angle = 0
        time.sleep(0.5)

    if cp.button_b:
        print("Powering down!")
        pixels.fill((255, 0, 0))  # Red
        power_down_sound()
        servo1.angle = 0
        servo2.angle = 90
        time.sleep(0.5)

    time.sleep(0.1)







